aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/rc.sysinit6
1 files changed, 6 insertions, 0 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 0613d0d3..646e5862 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -933,6 +933,12 @@ if [ "$PROMPT" != "no" ]; then
fi
wait
+if [ -x /sbin/redhat-support-check -a -f /var/lib/supportinfo ]; then
+ /sbin/redhat-support-check || {
+ echo $"Normal startup will continue in 10 seconds."
+ sleep 10
+}
+
# Let rhgb know that we're leaving rc.sysinit
if [ -x /usr/bin/rhgb-client ] && /usr/bin/rhgb-client --ping ; then
/usr/bin/rhgb-client --sysinit